Update Source Curation
curl --request PUT \
--url https://apigcp.trynia.ai/v2/sources/{source_id}/curation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"overlay_summary": "<string>",
"overlay_guidance": "<string>",
"recommended_queries": [
"<string>"
],
"clear_overlay": false
}
'import requests
url = "https://apigcp.trynia.ai/v2/sources/{source_id}/curation"
payload = {
"overlay_summary": "<string>",
"overlay_guidance": "<string>",
"recommended_queries": ["<string>"],
"clear_overlay": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
overlay_summary: '<string>',
overlay_guidance: '<string>',
recommended_queries: ['<string>'],
clear_overlay: false
})
};
fetch('https://apigcp.trynia.ai/v2/sources/{source_id}/curation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source_id": "<string>",
"source_type": "repository",
"trust_signals": {
"trust_level": "medium",
"trust_tier": "medium",
"scope": "private",
"is_global": false,
"is_verified": false,
"overlay_available": false,
"annotation_count": 0
},
"overlay": {
"summary": "<string>",
"kind": "custom",
"guidance": "<string>",
"recommended_queries": [
"<string>"
],
"updated_at": "<string>"
},
"annotations": [
{
"id": "<string>",
"content": "<string>",
"kind": "note",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sources
Update Source Curation
PUT
/
sources
/
{source_id}
/
curation
Update Source Curation
Authorizations
API key must be provided in the Authorization header
Path Parameters
Query Parameters
Source type hint
Available options:
repository, documentation, research_paper, huggingface_dataset, local_folder, slack, google_drive, connector Body
application/json
Trust preference for this source
Available options:
low, medium, high Overlay provenance
Available options:
custom, nia_verified Short curated source summary
Longer guidance for coding agents
Suggested prompts for this source
Remove any existing curated overlay
Response
Successful Response
Full curation state for a source.
Source identifier
Source type
Available options:
repository, documentation, research_paper, huggingface_dataset, local_folder, slack, google_drive, connector Derived trust signals
Show child attributes
Show child attributes
Curated overlay if present
Show child attributes
Show child attributes
Saved annotations for the source
Show child attributes
Show child attributes
Curation record creation timestamp (ISO)
Curation record update timestamp (ISO)
Was this page helpful?

